Build #2 for typograffiti-0.1.0.3

[all reports]

Package typograffiti-0.1.0.3
Install PlanningFailed
Docs NotTried
Tests NotTried
Time submitted 2019-01-25 17:44:48.177273981 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies
Flags none

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
cabal: Could not resolve dependencies:
[__0] trying: typograffiti-0.1.0.3 (user goal)
[__1] next goal: sdl2 (dependency of typograffiti)
[__1] rejecting: sdl2-2.4.1.0 (conflict: pkg-config package sdl2>=2.0.4, not
found in the pkg-config database)
[__1] rejecting: sdl2-2.4.0.1, sdl2-2.4.0, sdl2-2.3.0, sdl2-2.2.0,
sdl2-2.1.3.1, sdl2-2.1.3, sdl2-2.1.2.1, sdl2-2.1.2, sdl2-2.1.1, sdl2-2.1.0,
sdl2-2.0.0, sdl2-1.3.1, sdl2-1.3.0, sdl2-1.2.0, sdl2-1.1.3, sdl2-1.1.2,
sdl2-1.1.1, sdl2-1.1.0, sdl2-1.0.2, sdl2-1.0.1, sdl2-1.0.0, sdl2-2.3.0.1
(conflict: typograffiti => sdl2>=2.4.1)
[__1] fail (backjumping, conflict set: sdl2, typograffiti)
After searching the rest of the dependency tree exhaustively, these were the
goals I've had most trouble fulfilling: typograffiti, sdl2